This is a zulip bot to create mostr tasks on a nostr relay.

# Quickstart

1. Clone https://github.com/zulip/python-zulip-api
2. Run `python3 ./tools/provision` and activate the created venv
3. Clone this repo into `python-zulip-api/zulip_bots/zulip_bots/bots/mostr`
4. Create a `mostr.conf` to specify the private key and relay for the bot to use:
```ini
[mostr]
key = nsec...
relay = wss://...
```

Now you can test it with:

    zulip-bot-shell mostr --bot-config-file mostr.conf

5. Follow the setup steps in https://zulip.com/api/running-bots and put the zuliprc file into the mostr directory

Now you can properly run the bot with:

    zulip-run-bot mostr --config-file zuliprc --bot-config-file mostr.conf

It will track context per conversation,
so you can DM it, ping it in topics or group chats.

Note that every message not starting with `#` or `-`
(to add or remove tags from current context, respectively)
or containing a valid public key for assignment
will create a new task.
